package com.platform.modules.trtc.service;

import java.util.List;
import java.util.Map;

public interface TrtcService {
	
	List<Map<String, Object>> getReporterList(Long userId);
	
	Map<String, Object> getReporterInfo(Long userId);
	
	Integer getReporterOnLineRedisById(Long userId);
	
	void deleteReporterStatusRedisById(Long userId);
	
	void updateReporterStatusRedisById(Long userId,Integer status);
	
	List<Map<String, Object>> getReporterStatusList(Long userId, Integer status);
	
	void deleteReporterLocationRedisById(Long userId);

	Integer getReporterPushState(Long userId);

	void padControlCall(Long userId,Integer status);
}
